Skip to main content
POST
/
jobs
/
fix
Fix a file
curl --request POST \
  --url https://api.filecheck.io/jobs/fix \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sources": [
    {
      "url": "<string>",
      "file": "<string>",
      "fileRef": "<string>",
      "profileId": "<string>",
      "items": [
        "<string>"
      ]
    }
  ],
  "repreflight": false,
  "sync": false,
  "webhook": "<string>",
  "metaData": {}
}
'
{
  "job": {
    "id": "<string>",
    "createdAt": "<string>",
    "modifiedAt": "<string>",
    "status": "<string>",
    "outcome": "<string>",
    "ruleId": "<string>",
    "workflowId": "<string>",
    "metaData": {},
    "tasks": [
      {
        "id": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "status": "<string>",
        "outcome": "<string>",
        "fileType": "<string>",
        "mimeType": "<string>",
        "source": "<string>",
        "fileRef": "<string>",
        "clientRef": "<string>",
        "jobId": "<string>",
        "originalArtifact": {},
        "outputArtifacts": [
          {
            "kind": "<string>",
            "role": "<string>",
            "bucket": "<string>",
            "key": "<string>",
            "downloadUrl": "<string>",
            "expiresIn": 123
          }
        ],
        "steps": [
          {
            "id": "<string>",
            "type": "<string>",
            "status": "<string>",
            "reason": "<string>",
            "params": {},
            "runtimeParams": {},
            "started": "<string>",
            "ended": "<string>",
            "duration": 123,
            "outputs": [
              {}
            ]
          }
        ]
      }
    ],
    "orderId": "<string>",
    "customerId": "<string>",
    "customerEmail": "<string>",
    "summary": {},
    "results": {}
  }
}

Authorizations

Authorization
string
header
required

Your secret key as a bearer token, e.g. Authorization: Bearer sk_live_…. Secret keys are server-side only.

Body

application/json
sources
object[]
required
Minimum array length: 1
repreflight
boolean
default:false

Re-run preflight after autofix to confirm the result.

sync
boolean
default:false
webhook
string
metaData
object

Response

Sync completion (sync: true)

job
object